/***************************************************************************
                          mpeg2enc.h  -  description
                             -------------------
    begin                : Tue Dec 7 1999
    copyright            : (C) 1999 by Jeff Anderson
    email                : jbanders@mines.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

	typedef unsigned char BYTE_t;
  typedef unsigned int u32;
	typedef unsigned short u16;
//	typedef BYTE_t** blk_t;
	typedef short **blk_t;
	typedef short *blk_row_t;
	typedef short blk_element_t;


  void mpeg2enc(int argc, char** argv);
	void parse_args(int argc, char **argv);
	void print_usage(void);

	// from dct.cpp
	void dct(blk_t source_old, int dest[][8]);
	
	// from quant.cpp
	void quantize_intra(int source[][8]);

//	void dct(void);

	//from vlc.cpp
	void putVLC_address_increment(const u16 increment);
	void putVLC_macroblock_type();

	void put_intra_block(BYTE_t cc, short predictor[], int *block_data);
	void put_AC_vlc(int *block_data, BYTE_t intra_vlc_format, BYTE_t macroblock_intra);
  void put_DC_intra_vlc(BYTE_t cc, int value);
