#ifndef __INPUT_VCD_H__
#define __INPUT_VCD_H__

#include <linux/cdrom.h>

typedef struct {
	struct cdrom_tochdr tochdr;
	struct cdrom_tocentry tocent[100];
	int fd;
	struct cdrom_msf0 time;
	int total_tracks;
	int current_track;
	int counter;

	struct {
		void (*chapter) (void *data, int chapter);
		void *chapter_data;
	} callb;        // Callbacks

} vcd_priv_t;

#endif
