#define SINGLE_BUFFER

#include <sys/types.h>
#include <oms/buf.h>

int demuxBufInit (buf_t *buf);
int demuxBufExit (buf_t *buf);
void demuxBufFlush (buf_t *buf, u_int buf_id);
int demuxBufPut (buf_t *buf, buf_entry_t *buf_entry);
int demuxBufGet (buf_t *buf, u_int buf_id, buf_entry_t *entry);
inline void bufSetTime (buf_t *buf, u_int64_t clock);
inline int bufGetDTime (buf_t *buf, u_int64_t clock);
