#ifndef __SKIN_H__
#define __SKIN_H__

#include <gdk/gdk.h>

enum skin_enum {
        SKIN_BACKGROUND, SKIN_MASK,
        SKIN_SOURCE, SKIN_CHAPTER, SKIN_TNUM, SKIN_CNUM,
        SKIN_PLAY, SKIN_STOP, SKIN_PAUSE,
        SKIN_NEXT, SKIN_PREV, SKIN_PLAYLIST, SKIN_CONFIG, SKIN_SUBPIC, SKIN_AUDIO, SKIN_EJECT, SKIN_CLOSE
};

typedef struct {
	GdkPixmap *pixmap;
	GdkBitmap *mask;
	int x,y;  // text and buttons only
	int nMax; // text only
	int bPrelight, bStatus;
} skin_t;

skin_t skin[100];

int load_skin (char *skinfile);
skin_t *get_skin (gint nIndex_);
GdkPixmap *get_skin_pixmap (gint nIndex_);

#endif
