#include "skin.h"

#ifdef __NEED_SKIN_KEYWORD
static struct keyword {
	char *name;
	int type;
	int value;
} keywords[] = {
	{ "background",	T_PIXMAP,	SKIN_BACKGROUND,},
	{ "mask",	T_PIXMAP,	SKIN_MASK,	},

	{ "source",	T_TEXT,		SKIN_SOURCE,	},
	{ "chapter",	T_TEXT,		SKIN_CHAPTER,	},
	{ "tNum",	T_TEXT,		SKIN_TNUM,	},
	{ "cNum",	T_TEXT,		SKIN_CNUM,	},
	
	{ "play",	T_STATUSBUTTON,	SKIN_PLAY,	},
	{ "stop",	T_STATUSBUTTON,	SKIN_STOP,	},
	{ "pause",	T_STATUSBUTTON,	SKIN_PAUSE,	},
	
	{ "next",	T_PUSHBUTTON,	SKIN_NEXT,	},
	{ "prev",	T_PUSHBUTTON,	SKIN_PREV,	},
	{ "playlist",	T_PUSHBUTTON,	SKIN_PLAYLIST,	},
	{ "config",	T_PUSHBUTTON,	SKIN_CONFIG,	},
	{ "subpicture",	T_PUSHBUTTON,	SKIN_SUBPIC,	},
	{ "audio",	T_PUSHBUTTON,	SKIN_AUDIO,	},
	{ "eject",	T_PUSHBUTTON,	SKIN_EJECT,	},
	{ "close",	T_PUSHBUTTON,	SKIN_CLOSE,	},
	{ NULL,		0,		0,		},
};
#endif
